# Generated by Django 4.2.6 on 2023-10-23 16:22

from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('username', models.CharField(max_length=100, unique=True)),
                ('password', models.CharField(max_length=100, null=True)),
                ('type', models.CharField(choices=[('ETU', 'ETUDIANT'), ('ADM', 'ADMINISTRATION'), ('RC', 'RESPONSABLE_CLUB'), ('STI', 'STI')], max_length=10)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('start', models.DateField()),
                ('end', models.DateField()),
                ('location', models.CharField(max_length=100)),
                ('nb_participants', models.IntegerField()),
                ('alcohol', models.BooleanField()),
                ('alcohol_details', models.CharField(blank=True, max_length=100, null=True)),
                ('description', models.CharField(max_length=1000)),
                ('admin_comment', models.CharField(blank=True, max_length=1000, null=True)),
                ('creator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=1000)),
            ],
        ),
        migrations.CreateModel(
            name='Request',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('club', models.CharField(max_length=100)),
                ('start', models.DateTimeField()),
                ('end', models.DateTimeField()),
                ('contact_phone', models.CharField(max_length=256)),
                ('contact_mail', models.CharField(default='default@mail.com', max_length=100)),
                ('authorized', models.CharField(max_length=5000)),
                ('creator_comment', models.CharField(blank=True, max_length=1000, null=True)),
                ('admin_comment', models.CharField(max_length=1000)),
                ('state', models.CharField(choices=[('REF', 'REFUSE'), ('ATT_VAL', 'EN_ATTENTE_VALIDATION'), ('VAL_RC', 'VALIDE_RESPONSABLE_CLUB'), ('VAL_ADM', 'VALIDE_ADMIN'), ('VAL_STI', 'VALIDE_STI'), ('MOD', 'MODIFICATION_DEMANDEE_ADMIN')], max_length=20)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.event')),
                ('zones', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.zone')),
            ],
        ),
        migrations.CreateModel(
            name='Alarm',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(max_length=1000)),
                ('location', models.CharField(max_length=100)),
                ('zone', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.zone')),
            ],
        ),
    ]
